# Form implementation generated from reading ui file 'src/eric7/QtHelpInterface/QtHelpDocumentationSelectionDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_QtHelpDocumentationSelectionDialog(object):
    def setupUi(self, QtHelpDocumentationSelectionDialog):
        QtHelpDocumentationSelectionDialog.setObjectName("QtHelpDocumentationSelectionDialog")
        QtHelpDocumentationSelectionDialog.resize(450, 500)
        QtHelpDocumentationSelectionDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(QtHelpDocumentationSelectionDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=QtHelpDocumentationSelectionDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.documentationList = QtWidgets.QTreeWidget(parent=QtHelpDocumentationSelectionDialog)
        self.documentationList.setAlternatingRowColors(True)
        self.documentationList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.documentationList.setAllColumnsShowFocus(True)
        self.documentationList.setObjectName("documentationList")
        self.documentationList.headerItem().setText(0, "1")
        self.documentationList.header().setVisible(False)
        self.verticalLayout.addWidget(self.documentationList)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.deleteButton = QtWidgets.QPushButton(parent=QtHelpDocumentationSelectionDialog)
        self.deleteButton.setObjectName("deleteButton")
        self.horizontalLayout.addWidget(self.deleteButton)
        self.deleteCategoryButton = QtWidgets.QPushButton(parent=QtHelpDocumentationSelectionDialog)
        self.deleteCategoryButton.setObjectName("deleteCategoryButton")
        self.horizontalLayout.addWidget(self.deleteCategoryButton)
        self.deleteAllButton = QtWidgets.QPushButton(parent=QtHelpDocumentationSelectionDialog)
        self.deleteAllButton.setObjectName("deleteAllButton")
        self.horizontalLayout.addWidget(self.deleteAllButton)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Minimum)
        self.horizontalLayout.addItem(spacerItem)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=QtHelpDocumentationSelectionDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(QtHelpDocumentationSelectionDialog)
        self.buttonBox.accepted.connect(QtHelpDocumentationSelectionDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(QtHelpDocumentationSelectionDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(QtHelpDocumentationSelectionDialog)
        QtHelpDocumentationSelectionDialog.setTabOrder(self.documentationList, self.deleteButton)
        QtHelpDocumentationSelectionDialog.setTabOrder(self.deleteButton, self.deleteCategoryButton)
        QtHelpDocumentationSelectionDialog.setTabOrder(self.deleteCategoryButton, self.deleteAllButton)

    def retranslateUi(self, QtHelpDocumentationSelectionDialog):
        _translate = QtCore.QCoreApplication.translate
        QtHelpDocumentationSelectionDialog.setWindowTitle(_translate("QtHelpDocumentationSelectionDialog", "QtHelp Documentations"))
        self.label.setText(_translate("QtHelpDocumentationSelectionDialog", "Select the documentation files to be installed:"))
        self.documentationList.setSortingEnabled(True)
        self.deleteButton.setToolTip(_translate("QtHelpDocumentationSelectionDialog", "Press to delete the selected documentation sets"))
        self.deleteButton.setText(_translate("QtHelpDocumentationSelectionDialog", "Delete"))
        self.deleteCategoryButton.setToolTip(_translate("QtHelpDocumentationSelectionDialog", "Press to delete the selected category"))
        self.deleteCategoryButton.setText(_translate("QtHelpDocumentationSelectionDialog", "Delete Categories"))
        self.deleteAllButton.setToolTip(_translate("QtHelpDocumentationSelectionDialog", "Press to delete all entries"))
        self.deleteAllButton.setText(_translate("QtHelpDocumentationSelectionDialog", "Delete All"))
